/*
 * Copyright (C) 1999 Uwe Ohse
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
/* there have been too many buffer overflows in resolver libraries */
#define DISTRUST_RESOLVER

typedef struct {
	int len;
	unsigned char * end;
	unsigned char * pos;
#ifdef DISTRUST_RESOLVER
	long magic1;
#endif
	union { 
		HEADER hdr; 
		unsigned char buf[PACKETSZ]; 
	} u;
#ifdef DISTRUST_RESOLVER
	long magic2;
#endif
} dns_ans_t;

#ifndef P__
#define P__(x) x
#endif

unsigned short dns_getshort P__((unsigned char *c));
int resolve P__((const char *domain, int type, dns_ans_t *response, char *name));
