#ifndef ENTUMLAUTEN_H
#define ENTUMLAUTEN_H


/* returniert NULL oder per malloc() angeforderten Speicherblock */
char * entumlauten1(const char *from);
char * xentumlauten1(const char *from); /* returniert niemals NULL */
/* return: Lnge des neuen Strings ohne \0 */
size_t entumlauten(const char *from, char *to);

/* schnellste Variante.
 * to muss minimal "strlen(from)*2+1" Bytes gross sein. l enthlt
 * strlen(from). Return: Lnge des neuen Strings ohne \0.
 */
size_t entumlauten_fast (const char *from, char *to,size_t l);

#ifdef UOSTR_H
/* Achtung: die Rckgaben sind nicht 0terminiert */
size_t entumlauten2uostr_dup (const char *from, uostr_t *to);
size_t entumlauten2uostr_dup_fast (const char *from, uostr_t *to,size_t l);
size_t entumlauten2uostr_add (const char *from, uostr_t *to);
size_t entumlauten2uostr_add_fast (const char *from, uostr_t *to,size_t l);
size_t xentumlauten2uostr_dup (const char *from, uostr_t *to);
size_t xentumlauten2uostr_dup_fast (const char *from, uostr_t *to,size_t l);
size_t xentumlauten2uostr_add (const char *from, uostr_t *to);
size_t xentumlauten2uostr_add_fast (const char *from, uostr_t *to,size_t l);
#endif

#endif
