#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <string.h>
#include <sys/types.h>
#include "mtalib.h"
#include "uostr.h"
#include "uoio.h"

mta_ret_t
mta_start(mta_t **m,const char *name, const char *f, const char *t)
{
	const char *para;
	para=strchr(name,':');
	if (para) para++;
	if (0==strcmp(name,"maildir") || 0==memcmp(name,"maildir:",8)) return mta_maildir.mta_open(m,para,f,t);
	if (0==strcmp(name,"qmail-queue") || 0==memcmp(name,"qmail-queue:",12)) return mta_qq.mta_open(m,para,f,t);
	if (0==strcmp(name,"qq") || 0==memcmp(name,"qq:",3)) return mta_qq.mta_open(m,para,f,t);
	if (0==strcmp(name,"sendmail") || 0==memcmp(name,"sendmail:",9)) return mta_sm.mta_open(m,para,f,t);
	mta_set_err("mta_start: unknown MTA ",name,0,0);
	return MTA_FATAL;
}
